Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Interface SmartSteppingFilter

    public interface SmartSteppingFilter

Defines list of class exclusion filters to be used to filter stepping in debugged session.

     It's strongly recommended
     not to implement this interface in client code. New methods can be added to
     this interface at any time to keep up with the JDI functionality.

Field Summary
`static String` | `PROP_EXCLUSION_PATTERNS` Property name constant.

Method Summary
`void` | `addExclusionPatterns(Set patterns)` Adds a set of new class exclusion filters.
`void` | `addPropertyChangeListener(PropertyChangeListener l)` Adds property change listener.
`String[]` | `getExclusionPatterns()` Returns list of all exclusion patterns.
`void` | `removeExclusionPatterns(Set patterns)` Removes given set of class exclusion filters from filter.
`void` | `removePropertyChangeListener(PropertyChangeListener l)` Removes property change listener.

Field Detail

### PROP_EXCLUSION_PATTERNS

    static final String PROP_EXCLUSION_PATTERNS

  Property name constant.

  See Also:
    Constant Field Values

Method Detail

### addExclusionPatterns

    void addExclusionPatterns(Set patterns)

  Adds a set of new class exclusion filters. Filter is `String` containing full class name. Filter can begin or end with '*' to define more than one class, for example "*.Ted", or "examples.texteditor.*".

  Parameters:
    `patterns` - a set of class exclusion filters to be added

### removeExclusionPatterns

    void removeExclusionPatterns(Set patterns)

  Removes given set of class exclusion filters from filter.

  Parameters:
    `patterns` - a set of class exclusion filters to be added

### getExclusionPatterns

    String[] getExclusionPatterns()

  Returns list of all exclusion patterns.

### addPropertyChangeListener

    void addPropertyChangeListener(PropertyChangeListener l)

  Adds property change listener.

  Parameters:
    `l` - new listener.

### removePropertyChangeListener

    void removePropertyChangeListener(PropertyChangeListener l)

  Removes property change listener.

  Parameters:
    `l` - removed listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.